require 'hover/client/http'

module Hover
  module Client
    class BasicAuth < Hover::Client::HTTP
      attr_accessor :username, :password
    
      def initialize(username, password)
        self.username = username
        self.password = password
      end
    
      def authenticate(request)
        request.basic_auth(username, password)
      end
    end
  end
end