require 'hover/client/http'

module Hover
  module Client
    class HMAC < Hover::Client::HTTP
      attr_accessor :client_id, :client_secret
    
      def initialize(client_id, client_secret, site = 'http://localhost:3000', prefix = 'api/v1')
        super(site, prefix)
        
        self.client_id = client_id
        self.client_secret = client_secret
      end
    
      def authenticate(request)
        ApiAuth.sign!(request, client_id, client_secret)
      end
    end
  end
end