require 'hover/client/hmac'

module Hover
  module Client
    class Hover < Hover::Client::HMAC
      
      def json_get(*args)
        parse_response(get(*args))
      end
      
      def json_put(*args)
        parse_response(put(*args))
      end
      
      def json_post(*args)
        parse_response(post(*args))
      end
      
      def json_patch(*args)
        parse_response(patch(*args))
      end
      
      def json_delete(*args)
        parse_response(delete(*args))
      end
      
    end
  end
end